需要所有者角色

Moses Skoda工程师预计阅读 1 分钟

API 返回 403 Forbidden 时,会同时返回此错误。其 type 为 https://lingo.dev/docs/api/errors/owner-required。所有错误的通用结构,请参阅错误和状态码。

只有组织 <organizationId> 的所有者才能将所有者角色授予他人。请联系该组织的所有者执行此操作。

字段#

除标准成员 type、status、title 和 detail 外,响应体还包含以下字段。detail 文本根据这些字段生成,因此客户端也可以显示自定义文本。

字段类型
organizationIdstring
action"grantOwner" | "revokeOwner" | "manageSso" | "createScimKey" | "changeScimKeyRole" | "revokeScimKey"

示例#

json
{
  "detail": "Only an Owner of organization <organizationId> can give someone the Owner role. Ask an Owner of this organization to do it.",
  "organizationId": "<organizationId>",
  "action": "grantOwner",
  "type": "https://lingo.dev/docs/api/errors/owner-required",
  "status": 403,
  "title": "Owner required"
}

返回此错误的端点#

  • DELETE /v2/service-api-keys/{id}
  • PATCH /v2/organizations/{orgId}/members/{userId}
  • PATCH /v2/organizations/{orgId}/sso
  • PATCH /v2/service-api-keys/{id}
  • POST /v2/organizations/{orgId}/service-api-keys/scim
  • POST /v2/organizations/{orgId}/sso/disconnect
  • PUT /v2/organizations/{orgId}/sso